@import "../../../../styles/colors";

.text-next-to-button {
  font-size: 18px;
  color: $color-gothic;
  font-style: normal;
  font-weight: 700;
  text-rendering: optimizeLegibility;
}

.canvas-check-wrapper {
  position: relative;
    width: 100%;
}
.canvas {
  position: relative;
  width: 100%;
  height: 100%;
  z-index: -1;
}
.check-wrapper {
  position: absolute;
  top: 80px;
  width: 75px;
  height: 75px;
  margin: 0 auto;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
}

.checkmark-icon {
  display: block;
  position: absolute;
  fill: $color-white;
  width: 88%;
  margin: 0 auto;
  top: 50%;
  left: 50%;
  transform: translate(-44%, -45%);
}
.verified-circle {
  position: relative;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: $color-de-york;
}

.close-wrapper {
  position: absolute;
  width: 20px;
  height: 20px;
  margin: auto;
  top: 10px;
  right: 10px;
}
.close-icon {
  display: block;
  position: absolute;
  fill: $color-white;
  transform: translate(-50%, -50%) rotate(45deg);
  width: 10px;
  height: 13px; // This should be 10 but doesn't work for some reason
  top: 50%;
  left: 50%;
}
.close-circle {
  position: relative;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: $color-deep-cerulean;
}

.verify-backup-code {
  &__actions {
    position: relative;
  }
}
